Loading...
Searching...
No Matches
Dune::common_bits< current, mask > Struct Template Reference
Common » Debug output

activate if current and mask have common bits switched on. More...

`#include <dune/common/debugstream.hh>`

## Static Public Attributes

static constexpr bool | value = ((current & mask) != 0)

## Detailed Description

template<DebugLevel current, DebugLevel mask>
struct Dune::common_bits< current, mask >

activate if current and mask have common bits switched on.

This template implements an alternative strategy to activate or deactivate a DebugStream. Keep in mind to number your streams as powers of two if using this template

The documentation for this struct was generated from the following file:

- debugstream.hh